org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsBiToTriGroupByAccumulator<A,B,NewA,NewB,NewC>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator<BiTuple<A,B>>
  - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsBiToTriGroupByAccumulator<A,B,NewA,NewB,NewC>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsBiToTriGroupByAccumulator<A,B,NewA,NewB,NewC>
      extends DroolsAbstractGroupByAccumulator<BiTuple<A,B>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsBiToTriGroupByAccumulator(BiFunction<A,B,NewA> groupKeyAMapping, BiFunction<A,B,NewB> groupKeyBMapping, BiConstraintCollector<A,B,?,NewC> collector, org.drools.model.Variable<A> aVariable, org.drools.model.Variable<B> bVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> BiTuple<A,B>` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<BiTuple<A,B>,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, reverse, supportsReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsBiToTriGroupByAccumulator

          public DroolsBiToTriGroupByAccumulator(BiFunction<A,B,NewA> groupKeyAMapping,
                                                 BiFunction<A,B,NewB> groupKeyBMapping,
                                                 BiConstraintCollector<A,B,?,NewC> collector,
                                                 org.drools.model.Variable<A> aVariable,
                                                 org.drools.model.Variable<B> bVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<BiTuple<A,B>,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByAccumulator<BiTuple<A,B>>`

    - #### createInput

          protected <X> BiTuple<A,B> createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByAccumulator<BiTuple<A,B>>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.